GNU bug report logs - #60899
[PATCH 00/25] gnu: golang: Add gopls

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60898, #60900, #60901, #60902, #60903, #60904, #60905, #60906, #60907, #60908, #60909, #60910, #60911, #60912, #60913, #60914, #60915, #60916, #60917, #60918, #60919, #60920, #60921, #60922; dated Wed, 18 Jan 2023 01:46:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:46:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:46:18 2023
Received: from localhost ([127.0.0.1]:38704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxWs-0007ee-9F
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:46:18 -0500
Received: from lists.gnu.org ([209.51.188.17]:60254)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxWB-0007WH-Bi
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:35 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW9-0002DI-8j
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:33 -0500
Received: from mail-il1-x133.google.com ([2607:f8b0:4864:20::133])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW7-0006wh-H9
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:33 -0500
Received: by mail-il1-x133.google.com with SMTP id d10so16365907ilc.12
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=Jb2YZcfQTXgAKKqkTCSHsrnL1OBD0pNzJdDwP+D9tTw=;
 b=DiFNQJhmPkGOtb9AB43sOjjqrlkX45FYq9mtKuypIbG+2ieSEV5jgpjYP+o6wBmP99
 btT8zPPikotWmE/hFD21twN5LFca1JtYSUo6FcaKmxW/eqsvL2W1kGOzbm88nuATy9U3
 gW6BauT/UhTNi45gaHpH/412fxg5xZc35wCD7abOGdF3YcLBo6j+wjWl8+PxgCiOweD6
 bg2c7mNKew6+VP3rDxKcCnDr0Q9OZWtds2vC2BrfvTOFt6olqGSZLN52JJMNGCu2JJSH
 +OXsyaMQc57uqRg96yoB+E2DYxNnSUEx5BvyBMWF4OC0EeMBsgznCp0gHGMXc1eSCQ4O
 N0UA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=Jb2YZcfQTXgAKKqkTCSHsrnL1OBD0pNzJdDwP+D9tTw=;
 b=NowRc9NMQ3bu6dEdIF93mYjsapFXgrBPOWMkJjA0qY2R04eNBW4GP4CvX9FLZ5N7Zm
 EzIUT3rJM/+i+U6K5WU6MEjd1BMtXlbih1gRDOCM4LsNQLN8U36gKVtAfPewhmSKZyIl
 o1cIDdEz/bfQq9Bwr41pKUIWCcMR6JqnoFmMKKIk9kHkJMDAC9leCTntculOLT0oe8oD
 fr2PgVz3ktP761bKff/WXqs33ES3Zs2rvILd1mvPMmjiM2o7uakwXXXsY1YeLd1J0TpF
 4KI+Hs7Z238AF/kFrL+geLz6D0kIALkeHaozPS0FomFNjiIX4ZFKbulqtCRbqnzAGMMs
 Iauw==
X-Gm-Message-State: AFqh2kouEw3SF29lgOZXZ99ozNBSzOuRChqjJcXI0PjTu6xPr1u4y4ud
 EZGddZj3DMmDfKWW9/V3BVW4kyEQt8k=
X-Google-Smtp-Source: AMrXdXtxtKUTd7SXBNStZCtZ+kyE/ntwrSR9PFRPXdKCZMPK8J8/XDfKTKk1SNwTJfstWGeFKqW1mA==
X-Received: by 2002:a05:6e02:d07:b0:30b:e56f:f2f7 with SMTP id
 g7-20020a056e020d0700b0030be56ff2f7mr4013301ilj.24.1674006330535; 
 Tue, 17 Jan 2023 17:45:30 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:30 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 25/25] gnu: Add gopls.
Date: Tue, 17 Jan 2023 18:45:10 -0700
Message-Id: <20230118014510.19320-26-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::133;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-il1-x133.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/golang.scm (gopls): New variable.
---
 gnu/packages/golang.scm | 45 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 3dcd97a8c1..faa6c61bc4 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3021,6 +3021,51 @@ (define-public go-golang-org-x-vuln
     (native-inputs '())
     (inputs '())))
 
+(define-public gopls
+  (package
+    (name "gopls")
+    (version "0.11.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://go.googlesource.com/tools")
+                    (commit (string-append "gopls/v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1l9y1rp7x51s6dnjn227fhdlnz4z1h41jn3x1aq49qki241w7m73"))))
+    (build-system go-build-system)
+    (arguments
+     `(#:import-path "golang.org/x/tools/gopls"
+       #:unpack-path "golang.org/x/tools"
+       #:install-source? #f
+       #:phases (modify-phases %standard-phases
+                  (add-before 'unpack 'override-tools
+                    (lambda _
+                      (delete-file-recursively "src/golang.org/x/tools"))))))
+    (propagated-inputs (list go-github-com-google-go-cmp-cmp
+                             go-github-com-jba-printsrc
+                             go-github-com-jba-templatecheck
+                             go-github-com-sergi-go-diff
+                             go-golang-org-x-mod
+                             go-golang-org-x-sync
+                             go-golang-org-x-sys
+                             go-golang-org-x-text
+                             go-gopkg-in-yaml-v3
+                             go-honnef-co-go-tools
+                             go-github-com-burntsushi-toml
+                             go-github-com-google-safehtml
+                             go-golang-org-x-exp
+                             go-mvdan-cc-gofumpt
+                             go-golang-org-x-vuln
+                             go-mvdan-cc-xurls))
+    (home-page "https://golang.org/x/tools/gopls")
+    (synopsis "Official language server for the Go language")
+    (description
+     "Pronounced \"Go please\", this is the official Go language server developed by
+the Go team.  It provides IDE features to any LSP-compatible editor.")
+    (license license:bsd-3)))
+
 (define-public go-github-com-protonmail-go-crypto
   (package
     (name "go-github-com-protonmail-go-crypto")
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#60899; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:25 2023
Received: from localhost ([127.0.0.1]:38591 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxW0-0007TK-W7
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:25 -0500
Received: from lists.gnu.org ([209.51.188.17]:60090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxVv-0007SI-0P
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:22 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxVr-0001za-Og
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:16 -0500
Received: from mail-il1-x12c.google.com ([2607:f8b0:4864:20::12c])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxVp-0006uh-Q9
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:15 -0500
Received: by mail-il1-x12c.google.com with SMTP id a3so10443126ilp.6
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=oYE8nnbSS6MHfxwz9J9toI6fQ+Ope2CIzPRI98rxF68=;
 b=G/Lq9cL+mCQ8zTnxBZ0yY5GMrT2OkolRy3Slp1nrifzk43JWBO6auAXljfXa5JdZiY
 Ck+yrDRnO75o95yc1MBb4Bl1kOu18IF3v0/G+ukxdcHSjQVXZc+maPBFk1iUlY2WjvAD
 h4LBzSvRpcOtWBlFzSr2POxgS7OXazjdql15j8c62u4iMEckL2toF3mTyfjDORdMqO+S
 BeKWGDldg4nUiUaQawe9OU1o/XPswTG40YBNoF5TjwcRY17fc8Q1+zQYvwEmQA2gE9v8
 VV6pMc1VxjerH2/2NRx5nLPOS0AK7hVpiR6j0FWBFjKL2dZKielX2lmXrhdMUxUgHRCM
 6GVQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=oYE8nnbSS6MHfxwz9J9toI6fQ+Ope2CIzPRI98rxF68=;
 b=cpS4OFZSTOdE29MVhv+58MO8YTFQH+C7aY2BMrmxlB5bvdxVEg3YEbnkdevdp3IIPD
 VwxQ8RcI0RXAWpcJJ7p6YozOLYaLkIb5ErnB//XM1zcwRWKVvyiXQL7cRSRPvwh7p8j4
 xrWxqoxVwbnTtTiTSlz7MOmRnYnxZrMI9w1mbDJI6d4RIO0XLFZisDDx0023nWhTwo+T
 mHlVKoQZMdK9vAPg8+IgwbKOZRwD3E66APxzc8zQUYobVdZ+jL0SQQyme0jfZRXCsNm1
 ZaooazksQvaQpg2ErRnIU+c8/5d7jhOgkajiiin9F16uaIZg4ggNHM0rpmv/V5lMPZn6
 N/gw==
X-Gm-Message-State: AFqh2kr0m+aeCjA9vG3N9oxvyusyoZxAs7JAQljVFjBzQtTWGULCYvSA
 /9ncKNkqtXsweY25jNvwul7YycXLQZk=
X-Google-Smtp-Source: AMrXdXtfjLyMPXS6Xw4Ug7uCQvszdKZBkzQDvw5fo1H3sHu33RIHCF3o0O0RjdrdKlR1KrmJv3jAVw==
X-Received: by 2002:a92:6e11:0:b0:30d:c089:f479 with SMTP id
 j17-20020a926e11000000b0030dc089f479mr4115277ilc.7.1674006311851; 
 Tue, 17 Jan 2023 17:45:11 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:11 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 00/25] gnu: golang: Add gopls
Date: Tue, 17 Jan 2023 18:44:45 -0700
Message-Id: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::12c;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-il1-x12c.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a patch series to add the gopls package.

I haven't contributed to many projects which use the e-mail flow, so hopefully
I'm doing this correctly. Please feel free to make suggestions if not!

Some of the diffs are a little busier than I'd like for version bumps. This is
due to running `guix style` over everything.

For all of the packages I have:

. Run guix style
. Run guix lint
. Built 2x
. Checked that the change is in the correct branch
. Built all dependencies
. Built the repository

Katherine Cox-Buday (25):
  gnu: go-golang-org-x-sync: Update to 0.1.0-1.8fcdb60.
  gnu: go-golang-org-x-mod: Update to 0.7.0.
  gnu: Add go-golang-org-x-exp.
  gnu: Add go-github-com-jba-printsrc.
  gnu: Add go-github-com-google-safehtml.
  gnu: Add go-github-com-jba-templatecheck.
  gnu: go-github-com-google-go-cmp-cmp: Update to 0.5.9.
  gnu: go-github-com-pkg-diff: Update to
    0.0.0-20210226163009-20ebb0f2a09e.
  gnu: go-github-com-rogpeppe-go-internal: Update to 1.9.0.
  gnu: gopkg-in-errgo-fmt-errors: Rename package to
    go-gopkg-in-errgo-fmt-errors.
  gnu: go-golang-org-x-tools: Update to 0.5.0.
  gnu: Add xurls.
  gnu: Add go-mvdan-cc-xurls.
  gnu: Add misspell.
  gnu: Add go-github-com-client9-misspell.
  gnu: Add go-github-com-google-go-cmdtest.
  gnu: Add unparam.
  gnu: Add go-mvdan-cc-unparam.
  gnu: Add govulncheck.
  gnu: Add go-golang-org-x-vuln.
  gnu: go-github-com-burntsushi-toml: Update to 1.2.1.
  gnu: go-honnef-co-go-tools: Update to 0.3.3.
  gnu: Add gofumpt.
  gnu: Add go-mvdan-cc-gofumpt.
  gnu: Add gopls.

 gnu/packages/configuration-management.scm |   2 +-
 gnu/packages/golang.scm                   | 695 ++++++++++++++++++----
 2 files changed, 578 insertions(+), 119 deletions(-)


base-commit: 5c921977179489caef4a9e54ada6696fc86d2f0b
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60899; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.